namespace Syntriax.Engine.Systems.Time;

public interface IReadOnlyTicker : IReadOnlyStopwatch
{
    event TickerTickEventHandler? OnTick;

    int TickCounter { get; }
    double TickPeriod { get; set; }

    delegate void TickerTickEventHandler(IReadOnlyTicker sender);
}
